PivotTableEngine

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.server
Class PivotTableEngine

    java.lang.Object
      org.openswing.swing.pivottable.server.PivotTableEngine

public class PivotTableEngine
extends java.lang.Object

Title: OpenSwing Framework

Description: Engine used to generate a PivotTableModel, starting from a PivotTableParameters.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`PivotTableEngine(Reader reader)`

Method Summary
`Response` | `getPivotTableModel(PivotTableParameters pars)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PivotTableEngine

    public PivotTableEngine(Reader reader)

Parameters:
  `reader` - Data model reader

Method Detail

### getPivotTableModel

    public final Response getPivotTableModel(PivotTableParameters pars)

  Parameters:
    `pars` - parameters used in PivotTableEngine to generate the PivotTableModel
  Returns:
    VOResponse that contains a PivotTableModel generated starting from PivotTableParameters; ErrorResponse in case of errors on analyzing data

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD